﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Order_apply";
    Layout = "~/Views/Shared/_Layout_Main.cshtml";
}
@Styles.Render("~/common/css/pages/product.css")

<div class="row">
    <h2 style="text-align: center; color:#fff;">구매상품</h2>
    @if (Model != null && Model.tab2.Count != 0)
    {
        foreach (var item in Model.tab2)
        {
            <div class="col-sm-6">
                <div class="width1100">
                    <div class="chBox motion bronze on" style="display:block;max-width:350px;width:100%;margin:0 auto;float:none;">
                        <div class="left" data-aos="fade-in" data-aos-duration="2000" style="opacity:1;">
                            <p class="coin coinBronze"><img src="@Html.DisplayFor(modelItem => item.img)" class="img-product"></p>
                            <p class="name" id="txt_gname1">@Html.DisplayFor(modelItem => item.name)</p>
                        </div>

                        <div class="right">
                            <div class="info">
                                <ul style="list-style:none;">
                                    <li class="tit"><span>판매자</span></li>
                                    <li class="con">@Html.DisplayFor(modelItem => item.fullname)</li>
                                </ul>

                                <ul style="list-style:none;">
                                    <li class="tit"><span>가격</span></li>
                                    <li class="con">@Html.DisplayFor(modelItem => item.price) 원</li>
                                </ul>
                            </div>

                            <div class="order-product-caption">
                                <span>입금정보</span>
                                <span class="order-product-caption-inner03">
                                    @Html.DisplayFor(modelItem => item.bank_name)
                                </span>
                                <span class="order-product-caption-inner03">
                                    <input id="bank_info" value="@Html.DisplayFor(modelItem => item.acc_no)" style=" background: none; width: 95px;" />
                                </span>
                                <span class="order-product-caption-inner03">
                                    @Html.DisplayFor(modelItem => item.acc_name)
                                </span>
                            </div>
                            <button onclick="copy('@Html.DisplayFor(modelItem => item.acc_no)')" class="btn btn-danger copyBank">Copy</button>
                            <div class="order-product-caption">
                                <span>핸드폰번호</span>
                                <span class="order-product-caption-inner03">
                                    @Html.DisplayFor(modelItem => item.mobile)
                                </span>
                            </div>
                            <div class="order-product-caption">
                                <span>입금자명</span>
                                <span class="order-product-caption-inner03">
                                    <input type="text" id="buy_info" style=" color: black;" maxlength="20" />
                                    @Html.Hidden("token", new { value = item.token })
                                </span>

                            </div>
                            <!--// info end -->
                        </div>
                    </div>
                </div>
                <div class="order-product-price-button">
                    <input class="btnOk" type="button" value="구매 확정" onclick="doAction(@Html.DisplayFor(modelItem => item.id));" />
                </div>
            </div>
        }
    }
    <div class="btn_cancel">
        <span><input class="btnCa" type="button" value="취 소" onclick="location.href='/Order'" style="width:180px;" /></span>
    </div>
</div>
<script>
    function doValidate() {
        if ($.trim($("#buy_info").val()) == "") {
            alert("이체정보를 입력해 주세요.");
            $("#buy_info").focus();
            return false;
        }

        return true;
    }
    function doAction(id) {
        if (doValidate()) {
            if (confirm(" 상품을 구매 확정 하시겠습니까?")) {
                //$("#cmd").val("/view/order/order_apply_process.json");

                // $("#order_apply_form").attr("action", "../../frame/order/orderController.asp").submit();
                var buy_info = $("#buy_info").val();
                var token = $("#token").val();
                $.ajax({
                    type: "POST",
                    url: "/Order/Appv",
                    data: "{'orderId':" + id + ",'buy_info':'" + buy_info + "','token':'" + token + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        if (msg.err == '0') {
                            alert(msg.errmsg);
                            location.reload();
                            //location.href = "/Order";
                        } else {
                            alert(msg.errmsg);
                        }
                    }
                });


                //$.mvcAjax({
                6

            }
        }
    }
</script>
<script type="text/javascript">
    function copy(acc_no) {
        alert("Copied : " + acc_no);
    }

</script>
